BcPKCS10CertificationRequest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pkcs.bc

## Class BcPKCS10CertificationRequest

- java.lang.Object
- - org.bouncycastle.pkcs.PKCS10CertificationRequest
  - - org.bouncycastle.pkcs.bc.BcPKCS10CertificationRequest

-     public class BcPKCS10CertificationRequest
      extends PKCS10CertificationRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcPKCS10CertificationRequest(byte[] encoding)`
    `BcPKCS10CertificationRequest(org.bouncycastle.asn1.pkcs.CertificationRequest certificationRequest)`
    `BcPKCS10CertificationRequest(PKCS10CertificationRequest requestHolder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.crypto.params.AsymmetricKeyParameter` | `getPublicKey()`

    - ### Methods inherited from class org.bouncycastle.pkcs.PKCS10CertificationRequest

      `equals, getAttributes, getAttributes, getEncoded, getSignature, getSignatureAlgorithm, getSubject, getSubjectPublicKeyInfo, hashCode, isSignatureValid, toASN1Structure`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcPKCS10CertificationRequest

          public BcPKCS10CertificationRequest(org.bouncycastle.asn1.pkcs.CertificationRequest certificationRequest)

    - #### BcPKCS10CertificationRequest

          public BcPKCS10CertificationRequest(byte[] encoding)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### BcPKCS10CertificationRequest

          public BcPKCS10CertificationRequest(PKCS10CertificationRequest requestHolder)

  - ### Method Detail

    - #### getPublicKey

          public org.bouncycastle.crypto.params.AsymmetricKeyParameter getPublicKey()
                                                                             throws PKCSException

      Throws:
        `PKCSException`